# det

determinant

## Calling Sequence

    det(X)
                [e,m]=det(X)

## Arguments

X

  real or complex square matrix, polynomial or rational matrix.

m

  real or complex number, the determinant base 10 mantissae

e

  integer, the determinant base 10 exponent

## Description

`det(X)` ( `m*10^e` is the determinant of the square matrix `X`.

For polynomial matrix `det(X)` is equivalent to `determ(X)`.

For rational matrices `det(X)` is equivalent to `detr(X)`.

## References

det computations are based on the Lapack routines DGETRF for real matrices and ZGETRF for the complex case.

## Examples

    x=poly(0,'x');
    det([x,1+x;2-x,x^2])
    w=ssrand(2,2,4);roots(det(systmat(w))),trzeros(w)   //zeros of linear system
    A=rand(3,3);
    det(A), prod(spec(A))

## See Also

- detr
- determ